import aiida_jutools as jutools
optman = jutools.computer.ComputerOptionsManager()
optman.initialize()

# give me the most sensible default options node
options_node = optman.iffslurm.get_options()[0]
# give me a very specific options node
options_node = optman.iffslurm.get_options(queue_name='oscar',
                                           scheduler_stderr='stderr.txt', 
                                           resources={'num_machines':4})[0]

optman.claix18.get_help()


########################################################################



from aiida_jutools import util_code, util_computer

computer = Computer.get('iffslurm')
queue_name = jutools.computer.get_least_occupied_queue(computer)

# 'th1-2020-64'

code = jutools.code.get_code(computer_name_pattern='fslur', 
                             code_name_pattern='leur', 
                             queue_name=queue_name)

# <Code: Remote code 'fleur_MaXR5_AMD' on iffslurm>

optman = jutools.computer.ComputerOptionsManager()
optman.initialize(config_names=['iffslurm'])
options = optman.get_options(queue_name=queue_name)[0]
options.attributes

# {'withmpi': True,
#  'resources': {'num_machines': 1, 'tot_num_mpiprocs': 64},
#  'queue_name': 'th1-2020-64',
#  'max_wallclock_seconds': 86400} 
